package _VisualDVM.Passes.Sapfor;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
public class SapforFilesModification extends SapforModification {
    @Override
    protected PassCode necessary() {
        return PassCode.SPF_ParseFilesWithOrder;
    }
    @Override
    protected void performPreparation() throws Exception {
        super.performPreparation();
        if (target.sapforProperties.SaveModifications) {
            Global.mainModule.getProject().createModification();
        }
    }
    @Override
    protected void performDone() throws Exception {
        Global.mainModule.getSapfor().UpdateProjectFiles(true);
    }
}
